<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Scroll reveal fill text</title>
  <link rel="stylesheet" href="style.css" />
  <script src="js/gsap.min.js"></script>
  <script src="js/ScrollTrigger.min.js"></script>
  <script src="js/smooth-scrollbar.js"></script>
</head>

<body>
  <div class="img">
    <h1>Text Reveal Animation</h1>
  </div>
  <div class="container">
    <div class="text">
      <p>Suprising</p>
      <p>and playful ways</p>
      <p>to tell a story!</p>
    </div>
  </div>
  <script>
    document.addEventListener("DOMContentLoaded", () => {
      gsap.registerPlugin(ScrollTrigger);

      const bodyScrollBar = Scrollbar.init(document.body, {
        damping: 0.1,
        delegateTo: document,
        alwaysShowTracks: true,
        speed: 10,
      });
      ScrollTrigger.scrollerProxy("body", {
        scrollTop(value) {
          if (arguments.length) {
            bodyScrollBar.scrollTop = value;
          }
          return bodyScrollBar.scrollTop;
        },
      });
      bodyScrollBar.addListener(ScrollTrigger.update);
      ScrollTrigger.defaults({
        scroller: document.body,
      });
      gsap.to(".text p", {
        backgroundPositionX: "0%",
        stagger: 1,
        scrollTrigger: {
          trigger: ".text p",
          scrub: 1,
          start: "top center",
          end: "bottom top",
        },
      });
    })
  </script>
</body>

</html>
